Detach a destination from a capacity domain
curl --request DELETE \
--url https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/members/{destination_id} \
--header 'x-arklow-auth: <api-key>'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/members/{destination_id}"
headers = {"x-arklow-auth": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-arklow-auth': '<api-key>'}};
fetch('https://api.arklow.io/v1/orgs/{org_id}/capacity-domains/{id}/members/{destination_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"provenance": "<string>",
"declared_budget": 123,
"learned_budget": 123,
"learned_budget_expires_at": "2023-11-07T05:31:56Z",
"domain_verdict_firing": true,
"domain_verdict_reading": "<string>",
"domain_verdict_expires_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"member_destinations": [
{
"id": "<string>",
"label": "<string>",
"type": "<string>"
}
],
"scale_target_count": 123,
"domain_verdict_contributors": [
{
"dispatch_lane": "<string>",
"tag_dimensions_key": "<string>",
"basis": "<string>",
"in_flight_share_bps": 123,
"service_time_share_bps": 123
}
],
"domain_verdict_firing_series": [
"<string>"
],
"scale_targets": [
{
"id": "<string>",
"name": "<string>",
"kind": "<string>",
"metric_source_query_id": "<string>",
"tag_projection_key": "<string>",
"tag_projection_value": "<string>",
"min_replicas": 123,
"max_replicas": 123,
"effective_min_replicas": 123,
"last_observed_replicas": 123,
"observability_degraded": true,
"binding_degraded": true,
"drift_contested": true
}
]
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Detach a destination from a capacity domain
DELETE
/
v1
/
orgs
/
{org_id}
/
capacity-domains
/
{id}
/
members
/
{destination_id}
Detach a destination from a capacity domain
Authorizations
Path Parameters
Pattern:
^[0-9]+$Pattern:
^[0-9]+$Pattern:
^[0-9]+$⌘I